%define pkg_name        Test-Debugger
%define pkg_version     0.14
%define rpm_pkg_version 0.14
%define rpm_pkg_release 3.n0i.4

Summary:       Create Test Scripts which Generate Log Files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KO/KOLIBRIE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Have you ever tried to debug a test script that is failing tests? Without
too many modifications, your test script can generate a log file with
information about each failed test. You can take your existing test script,
and with (hopefully) very little effort, convert it to use Test::Debugger.
Then re-run your modified test and view the log file it creates.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.14-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.14-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:0.14-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Thu Jan 01 2004 Marius FERARU <altblue@n0i.net> 0:0.14-0.n0i.1
- version 0.14
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
